#include <bits/stdc++.h>

using namespace std;
vector<int> a;
vector<int> b;
vector<int> c;
void ispisi(vector<int> nesto){
    for(int i=0;i<nesto.size();i++){
        cout<<nesto[i];
    }
}
bool vece(vector<int> jedan,vector<int> dva){
    for(int i=0;i<jedan.size();i++){
        if(jedan[i]>dva[i]){
            return true;
        }else if(jedan[i]==dva[i]){
            continue;
        }else{
            return false;
        }
    }
    return true;
}
vector<int> dodaj(int i,int j){
    vector<int> sta;
    int jos;
    if(i==1){
        for(int p=0;p<a.size();p++){
            sta.push_back(a[p]);
        }
    }else if(i==2){
        for(int p=0;p<b.size();p++){
            sta.push_back(b[p]);
        }
    }else{
        for(int p=0;p<c.size();p++){
            sta.push_back(c[p]);
        }
    }
    if(j==1){
        for(int p=0;p<a.size();p++){
            sta.push_back(a[p]);
        }
    }else if(j==2){
        for(int p=0;p<b.size();p++){
            sta.push_back(b[p]);
        }
    }else{
        for(int p=0;p<c.size();p++){
            sta.push_back(c[p]);
        }
    }
    jos=6-i-j;;
    if(jos==1){
        for(int p=0;p<a.size();p++){
            sta.push_back(a[p]);
        }
    }else if(jos==2){
        for(int p=0;p<b.size();p++){
            sta.push_back(b[p]);
        }
    }else{
        for(int p=0;p<c.size();p++){
            sta.push_back(c[p]);
        }
    }
    return sta;
}
int main()
{
    ios_base::sync_with_stdio(false);
    unsigned long long a1,b1,c1;
    cin>>a1>>b1>>c1;
    while(a1>0){
        a.push_back(a1%10);
        a1/=10;
    }
    while(b1>0){
        b.push_back(b1%10);
        b1/=10;
    }
    while(c1>0){
        c.push_back(c1%10);
        c1/=10;
    }
    reverse(a.begin(),a.end());
    reverse(b.begin(),b.end());
    reverse(c.begin(),c.end());
    vector<int> resenja[6];
    int koji=0;
    for(int i=1;i<=3;i++){
        for(int j=1;j<=3;j++){
            if(i==j) continue;
            resenja[koji++]=dodaj(i,j);
        }
    }
    vector<int> naj1,naj2,naj3,naj4;
    if(vece(resenja[0],resenja[1])){
        naj1=resenja[0];
    }else{
        naj1=resenja[1];
    }
    if(vece(resenja[2],resenja[3])){
        naj2=resenja[2];
    }else{
        naj2=resenja[3];
    }
    if(vece(resenja[4],resenja[5])){
        naj3=resenja[4];
    }else{
        naj3=resenja[5];
    }
    if(vece(naj1,naj2)){
        naj4=naj1;
    }else{
        naj4=naj2;
    }
    if(vece(naj4,naj3)){
        ispisi(naj4);
    }else{
        ispisi(naj3);
    }
    return 0;
}